module Dodge.Item.Weapon.Shell
    ( decTimMvVel
    ) where
import Dodge.Data
import Geometry.Vector

import Control.Lens
decTimMvVel :: Prop -> World -> World
decTimMvVel pj = props . ix pjid %~
    ( (pjTimer -~ 1) 
    . (prPos   %~ (+.+ vel) )
    . (pjAcc   %~ rotateV rot )
    )
  where
    rot = _pjSpin pj
    vel = _pjVel pj
    pjid = _pjID pj
